## **********************************************************************/
##                                                                      */
##   This product contains:                                             */
##      "Restricted Materials of IBM"                                   */
##      (c) Copyright 1986, 1995 IBM Corp.                              */
##      All Rights Reserved                                             */
##      Licensed Materials-Property of IBM                              */
##      Program Number:   5765-505                                      */
##      Program Name:     IBM AIX Print Services Facility/6000          */
##                                                                      */
##   THIS PROGRAM IS PROVIDED ON AN "AS-IS" BASIS AND NO                */
##   SUPPORT OR MAINTENANCE WILL BE PROVIDED WITH RESPECT TO THIS       */
##   PROGRAM SAMPLE.  The licensee of the PSF product is free to        */
##   copy, revise, modify, and make derivative works of this program    */
##   sample as they see fit.                                            */
##   The licensee of this sample code may not resell this code or       */
##   include it in a product that is resold.                            */
##                                                                      */
## **********************************************************************/
# Assumes an ANSI C compiler
#
# for AIX use
#CFLAGS=-g -DDEBUG
#CFLAGS=-O 
#LDFLAGS=-s
#DEFINES=-D_ALL_SOURCE
#CC=xlc
#CHOWN=chown root lprafp; chgrp printq lprafp
#
# for HPUX use:
#CFLAGS=-g -DDEBUG -Aa
#CFLAGS=-O -Aa 
#LDFLAGS=
#DEFINES=-D_HPUX_SOURCE
#CC=cc
#CHOWN=chown root lprafp; chgrp bin lprafp
#
# for Sun use. Assumes that the ANSI C compiler was installed as cc
#CFLAGS=-g -DDEBUG
#CFLAGS=-O
#LDFLAGS=-s
#DEFINES=-Dsun4
#CC=cc
#CHOWN=/usr/etc/chown root lprafp; /usr/bin/chgrp bin lprafp
#
# for DEC use
#CFLAGS=-g -DDEBUG
#CFLAGS=-O 
#DEFINES=-DDEC_SRC
#LDFLAGS=-s
#CC=cc
#CHOWN=chown root lprafp; chgrp bin lprafp


all:	lprafp

lprafp:	lprafp.o getopts.o
	${CC} ${LDFLAGS} -o lprafp lprafp.o getopts.o
	chmod 6755 lprafp
	${CHOWN}

lprafp.o:	lprafp.c lprafp.h getopts.h
	${CC} -c ${CFLAGS} ${DEFINES} -DLPR lprafp.c

getopts.o: getopts.c getopts.h
	${CC} -c ${CFLAGS} ${DEFINES} -DLPR getopts.c

clean:
	rm -f *.o lprafp
